## watcher-dashboard 2.0.1~git2020012214.0e1c0e0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

horizon>=17.1.0 # Apache-2.0

PyYAML>=3.12 # MIT
python-watcherclient>=1.1.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.18.1 # Apache-2.0
sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD

## watcher-dashboard 2.0.0

=== debian/changelog ===
watcher-dashboard (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Michal Arbet ]
  * Edit d/copyright

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 23 Oct 2019 10:18:42 +0200

watcher-dashboard (2.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #942445).

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 16 Oct 2019 16:25:24 +0200

=== debian/control ===
Source: watcher-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-coverage,
 python3-django-nose,
 python3-httplib2,
 python3-keystoneclient,
 python3-mock,
 python3-nose-exclude,
 python3-openstackdocstheme,
 python3-selenium,
 python3-watcherclient,
 python3-xvfbwrapper,
 python3-yaml,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher-dashboard
Homepage: https://github.com/openstack/watcher-dashboard

Package: python3-watcher-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:16.0.0~rc1),
 python3-httplib2,
 python3-keystoneclient,
 python3-watcherclient,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Optimization as a service - dashboard plugin
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a robust
 framework to realize a wide range of cloud optimization goals, including the
 reduction of data center operating costs, increased system performance via
 intelligent virtual machine migration, increased energy efficiency and more!
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/watcher_dashboard/conf/watcher_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/watcher_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/watcher_dashboard/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test -v 2 \
				--settings=watcher_dashboard.test.settings \
				--exclude-tag integration \
				watcher_dashboard ;\
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/watcher-dashboard/tags .*/(\d[\d\.]+)\.tar\.gz

## watcher-dashboard 2.0.1~git2020012214.0e1c0e0

=== debian/changelog ===
watcher-dashboard (2.0.1~git2020012214.0e1c0e0-0ubuntu1) focal; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get release tarball from openstack.org.
  * d/rules: Align with the rest of the Ubuntu dashboard packages.
  * d/python3-watcher-dashboard.install: Dropped. No longer needed.
  * d/python3-watcher-dashboard.postinst: Add Ubuntu dashboard postinst.
  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-test-django22.patch: Dropped. Included in new upstream snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Jan 2020 14:47:12 -0500

=== debian/control ===
Source: watcher-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.0.0~),
 python3-coverage (>= 4.0),
 python3-django-nose,
 python3-httplib2,
 python3-keystoneclient,
 python3-mock (>= 2.0.0),
 python3-nose-exclude,
 python3-openstackdocstheme (>= 1.18.1),
 python3-selenium (>= 2.50.1),
 python3-watcherclient (>= 1.1.0),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.5
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher-dashboard
Homepage: https://github.com/openstack/watcher-dashboard

Package: python3-watcher-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.0.0~),
 python3-httplib2,
 python3-keystoneclient,
 python3-watcherclient (>= 1.1.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Optimization as a service - dashboard plugin
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a robust
 framework to realize a wide range of cloud optimization goals, including the
 reduction of data center operating costs, increased system performance via
 intelligent virtual machine migration, increased energy efficiency and more!
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/watcher-dashboard watcher-dashboard-(2\.\d.*)\.tar\.gz

## watcher-dashboard 3.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=1.31.2 # Apache-2.0
sphinx>=1.8.0,!=2.1.0 # BSD

=== debian/changelog ===
watcher-dashboard (3.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 2.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:30:29 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.2.0~),
  python3-coverage (>= 4.0),
  python3-django-nose,
  python3-httplib2,
@@ -35,7 +35,7 @@
 Package: python3-watcher-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:17.0.0~),
+ openstack-dashboard (>= 3:18.2.0~),
  python3-httplib2,
  python3-keystoneclient,
  python3-watcherclient (>= 1.1.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=watcher-dashboard

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		python3 $(CURDIR)/manage.py test -v 2 \
			--settings=watcher_dashboard.test.settings \
			--exclude-tag integration \
			watcher_dashboard ;
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the watcher_dashboard plugin in Horizon
	mkdir -p $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/watcher_dashboard/local/enabled/_31*.py $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	# Install common files
	mkdir -p $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/watcher_dashboard/conf/* $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/conf

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/watcher-dashboard watcher-dashboard-(3\.\d.*)\.tar\.gz

## watcher-dashboard 3.0.1~git2020070613.4d85bab

=== debian/changelog ===
watcher-dashboard (3.0.1~git2020070613.4d85bab-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:05:46 -0400

watcher-dashboard (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 2.x series and get tarballs from opendev.org.
  * d/control: Align (Build-)Depends with upstream.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:30:29 -0400

## watcher-dashboard 3.0.1~git2020091515.9e777ec

=== debian/changelog ===
watcher-dashboard (3.0.1~git2020091515.9e777ec-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:09:18 -0400

=== debian/control ===
--- 
+++ 
@@ -7,23 +7,27 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
- openstack-dashboard (>= 3:18.2.0~),
+ openstack-dashboard (>= 3:18.2.0),
  python3-coverage (>= 4.0),
+ python3-django-horizon (>= 3:18.2.0),
  python3-django-nose,
  python3-httplib2,
  python3-keystoneclient,
  python3-mock (>= 2.0.0),
  python3-nose-exclude,
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-selenium (>= 2.50.1),
+ python3-subunit (>= 1.0.0),
+ python3-testscenarios (>= 0.4),
+ python3-testtools (>= 2.2.0),
  python3-watcherclient (>= 1.1.0),
  python3-xvfbwrapper (>= 0.1.3),
  python3-yaml (>= 3.12),
@@ -35,9 +39,11 @@
 Package: python3-watcher-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:18.2.0~),
+ openstack-dashboard (>= 3:18.2.0),
+ python3-django-horizon (>= 3:18.2.0),
  python3-httplib2,
  python3-keystoneclient,
+ python3-pbr (>= 2.0.0),
  python3-watcherclient (>= 1.1.0),
  python3-yaml (>= 3.12),
  ${misc:Depends},

## watcher-dashboard 4.0.0

=== debian/changelog ===
watcher-dashboard (4.0.0-2) unstable; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Jul 2021 12:23:31 +0200

watcher-dashboard (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 17:39:13 +0200

watcher-dashboard (4.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 09:10:23 +0200

watcher-dashboard (3.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 19:17:12 +0200

watcher-dashboard (3.0.0~rc1-2) unstable; urgency=medium

  * Move the package to the horizon-plugins subgroup on Salsa.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:32:32 +0200

watcher-dashboard (3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed fix-test-django22.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 12:17:22 +0200

watcher-dashboard (2.0.0-3) unstable; urgency=medium

  * Rebuild source only.

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 05 Mar 2020 16:52:48 +0100

=== debian/control ===
Source: watcher-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:18.2.0),
 python3-coverage,
 python3-django-nose,
 python3-httplib2,
 python3-keystoneclient,
 python3-nose-exclude,
 python3-openstackdocstheme,
 python3-selenium,
 python3-watcherclient,
 python3-xvfbwrapper,
 python3-yaml,
Standards-Version: 4.1.5
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/watcher-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/watcher-dashboard
Homepage: https://github.com/openstack/watcher-dashboard

Package: python3-watcher-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:18.2.0),
 python3-httplib2,
 python3-keystoneclient,
 python3-watcherclient,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Description: OpenStack Optimization as a service - dashboard plugin
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a robust
 framework to realize a wide range of cloud optimization goals, including the
 reduction of data center operating costs, increased system performance via
 intelligent virtual machine migration, increased energy efficiency and more!
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Move config files to standard location
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Copy policy file to openstack-dashboard policy location
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/watcher_dashboard/conf/watcher_policy.json $(CURDIR)/debian/tmp/etc/openstack-dashboard/policy/watcher_policy.json

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/watcher_dashboard/local/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			python$$i $(CURDIR)/manage.py test -v 2 \
				--settings=watcher_dashboard.test.settings \
				--exclude-tag integration \
				watcher_dashboard ;\
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## watcher-dashboard 4.0.0+git2021012814.02bdd27

=== debian/changelog ===
watcher-dashboard (4.0.0+git2021012814.02bdd27-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Jan 2021 14:23:56 -0500

watcher-dashboard (4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:52:58 -0400

watcher-dashboard (4.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 4.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:28:23 -0400

## watcher-dashboard 5.0.0~rc1

=== debian/changelog ===
watcher-dashboard (5.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 5.x series
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 24 Mar 2021 11:13:19 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/watcher-dashboard/ watcher-dashboard-(5\.\d.*)\.tar\.gz

## watcher-dashboard 5.0.0

=== debian/changelog ===
watcher-dashboard (5.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 18:38:05 +0000

watcher-dashboard (5.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:27:45 +0000

## watcher-dashboard 5.0.0+git2021072212.4192182

=== debian/changelog ===
watcher-dashboard (5.0.0+git2021072212.4192182-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jul 2021 12:30:50 -0400

## watcher-dashboard 5.0.1

=== debian/changelog ===
watcher-dashboard (5.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:29:46 +0000

watcher-dashboard (5.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:38:15 +0200

watcher-dashboard (5.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 12:50:19 +0200

watcher-dashboard (5.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 May 2021 16:44:58 +0200

watcher-dashboard (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 17:36:32 +0200

watcher-dashboard (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when statisfied in Bullseye.
  * debhelper-compat 11.
  * Standards-Version: 4.5.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 21:35:03 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
- openstack-dashboard (>= 3:18.2.0),
+ openstack-dashboard,
  python3-coverage,
  python3-django-nose,
  python3-httplib2,
@@ -25,7 +25,7 @@
  python3-watcherclient,
  python3-xvfbwrapper,
  python3-yaml,
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/watcher-dashboard.git
 Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/watcher-dashboard
 Homepage: https://github.com/openstack/watcher-dashboard
@@ -33,7 +33,7 @@
 Package: python3-watcher-dashboard
 Architecture: all
 Depends:
- openstack-dashboard (>= 3:18.2.0),
+ openstack-dashboard,
  python3-httplib2,
  python3-keystoneclient,
  python3-watcherclient,
@@ -41,7 +41,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python3-django-horizon (<< 3:18.6.2-4~),
+ python3-django-horizon (<< 3:19.2.0-2~),
 Description: OpenStack Optimization as a service - dashboard plugin
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a robust

## watcher-dashboard 6.0.0

=== debian/changelog ===
watcher-dashboard (6.0.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 15:05:11 +0000

watcher-dashboard (6.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 6.x series
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 13:07:44 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/watcher-dashboard/ watcher-dashboard-(6\.\d.*)\.tar\.gz

## watcher-dashboard 6.0.0+git2021120912.146e547

=== debian/changelog ===
watcher-dashboard (6.0.0+git2021120912.146e547-0ubuntu2) jammy; urgency=medium

  * d/rules: Update PBR_VERSION to handle git versioning (LP: #1959402).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jan 2022 13:11:13 -0500

watcher-dashboard (6.0.0+git2021120912.146e547-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 12:33:36 -0500

## watcher-dashboard 7.0.0

=== debian/changelog ===
watcher-dashboard (7.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 7.x series
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:44:27 -0400

=== debian/control ===
Source: watcher-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:18.6.0~),
 python3-coverage (>= 4.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose,
 python3-httplib2,
 python3-keystoneclient,
 python3-mock (>= 2.0.0),
 python3-nose-exclude,
 python3-openstackdocstheme (>= 2.2.1),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-watcherclient (>= 1.1.0),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.12),
Standards-Version: 4.1.5
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher-dashboard
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher-dashboard
Homepage: https://github.com/openstack/watcher-dashboard

Package: python3-watcher-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-django-horizon (>= 4:18.6.0~),
 python3-httplib2,
 python3-keystoneclient,
 python3-pbr (>= 2.0.0),
 python3-watcherclient (>= 1.1.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Optimization as a service - dashboard plugin
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a robust
 framework to realize a wide range of cloud optimization goals, including the
 reduction of data center operating costs, increased system performance via
 intelligent virtual machine migration, increased energy efficiency and more!
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/watcher-dashboard/ watcher-dashboard-(7\.\d.*)\.tar\.gz

## watcher-dashboard 7.0.0+git2022060611.b526383

=== debian/changelog ===
watcher-dashboard (7.0.0+git2022060611.b526383-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 11:24:39 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -31,10 +31,9 @@
  python3-watcherclient (>= 1.1.0),
  python3-xvfbwrapper (>= 0.1.3),
  python3-yaml (>= 3.12),
-Standards-Version: 4.1.5
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher-dashboard
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher-dashboard
-Homepage: https://github.com/openstack/watcher-dashboard
+Homepage: https://opendev.org/openstack/watcher-dashboard
 
 Package: python3-watcher-dashboard
 Architecture: all

## watcher-dashboard 7.0.0+git2022071816.b526383

=== debian/changelog ===
watcher-dashboard (7.0.0+git2022071816.b526383-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.
  * d/p/replace-removed-features.patch: Cherry-pick to deal with removal
    of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:20:27 -0400

## watcher-dashboard 7.0.0+git2022091214.56094ce

=== debian/changelog ===
watcher-dashboard (7.0.0+git2022091214.56094ce-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/p/replace-removed-features.patch: Dropped. Fixed in snapshot.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:50:42 -0400

## watcher-dashboard 8.0.0

=== debian/changelog ===
watcher-dashboard (8.0.0-2) unstable; urgency=medium

  * Add py3.11-getfullargspec.patch (Closes: #1025195).

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Dec 2022 10:26:46 +0100

watcher-dashboard (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:47:24 +0200

watcher-dashboard (8.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:03:25 +0200

watcher-dashboard (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 09:19:24 +0200

watcher-dashboard (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Add django 4 compat patches (Closes: #1015100):
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Jul 2022 17:56:38 +0200

watcher-dashboard (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Mar 2022 09:40:10 +0200

watcher-dashboard (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 17:12:03 +0100

watcher-dashboard (6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 22:05:04 +0200

watcher-dashboard (6.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:58:37 +0200

watcher-dashboard (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (build-)depends on horizon version >= 3:20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Sep 2021 10:14:16 +0200

=== debian/control ===
Source: watcher-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-coverage,
 python3-django-nose,
 python3-httplib2,
 python3-keystoneclient,
 python3-nose-exclude,
 python3-openstackdocstheme,
 python3-selenium,
 python3-watcherclient,
 python3-xvfbwrapper,
 python3-yaml,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/watcher-dashboard.git
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/watcher-dashboard
Homepage: https://github.com/openstack/watcher-dashboard

Package: python3-watcher-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-httplib2,
 python3-keystoneclient,
 python3-watcherclient,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Description: OpenStack Optimization as a service - dashboard plugin
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a robust
 framework to realize a wide range of cloud optimization goals, including the
 reduction of data center operating costs, increased system performance via
 intelligent virtual machine migration, increased energy efficiency and more!
 .
 This package contains the OpenStack dashboard plugin.

## watcher-dashboard 9.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-horizon>=17.1.0 # Apache-2.0
+horizon>=18.2.0 # Apache-2.0
 
 PyYAML>=3.12 # MIT
 python-watcherclient>=1.1.0 # Apache-2.0

=== debian/changelog ===
watcher-dashboard (9.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 14:44:04 -0500

watcher-dashboard (8.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 8.x series
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:32:35 -0400

## watcher-dashboard 9.0.0

=== debian/changelog ===
watcher-dashboard (9.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Mar 2023 23:03:59 +0000

watcher-dashboard (9.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:29:45 -0400

## watcher-dashboard 10.0.0

=== debian/changelog ===
watcher-dashboard (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 12:30:48 +0200

watcher-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Sep 2023 14:28:17 +0200

watcher-dashboard (9.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1045653).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 15:55:39 +0200

watcher-dashboard (9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 17:26:45 +0200

watcher-dashboard (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 16:03:06 +0100

watcher-dashboard (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed py3.11-getfullargspec.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Mar 2023 11:06:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 override_dh_clean:
 	dh_clean
 	rm -rf .coverage*
+	rm -rf build *.egg-info
 
 override_dh_auto_clean:
 	python3 setup.py clean

## watcher-dashboard 11.0.0

=== debian/changelog ===
watcher-dashboard (11.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:36:02 +0100

watcher-dashboard (11.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal. 
  * d/p/django-4*: Drop, Django 4 support added upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 09:35:04 +0000

watcher-dashboard (10.0.0+git2024020611.eaf8db4c-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 09 Feb 2024 10:22:48 +0000

watcher-dashboard (10.0.0-0ubuntu1) mantic; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

  [ Thomas Goirand ]
  * d/p/django-4-django.conf.urls.url-is-removed.patch,
    d/p/django-4-ugettext_lazy-is-removed.patch: Django 4 compatibility.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:31:01 -0400

=== debian/control ===
Source: watcher-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-coverage (>= 4.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose,
 python3-httplib2,
 python3-keystoneclient,
 python3-mock (>= 2.0.0),
 python3-nose-exclude,
 python3-openstackdocstheme (>= 2.2.1),
 python3-selenium (>= 2.50.1),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-watcherclient (>= 1.1.0),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 3.12),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher-dashboard
Homepage: https://opendev.org/openstack/watcher-dashboard

Package: python3-watcher-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-httplib2,
 python3-keystoneclient,
 python3-pbr (>= 2.0.0),
 python3-watcherclient (>= 1.1.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Optimization as a service - dashboard plugin
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a robust
 framework to realize a wide range of cloud optimization goals, including the
 reduction of data center operating costs, increased system performance via
 intelligent virtual machine migration, increased energy efficiency and more!
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=watcher-dashboard

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		python3 $(CURDIR)/manage.py test -v 2 \
			--settings=watcher_dashboard.test.settings \
			--exclude-tag integration \
			watcher_dashboard ;
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates the watcher_dashboard plugin in Horizon
	mkdir -p $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled
	cp $(CURDIR)/watcher_dashboard/local/enabled/_31*.py $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled

	# Install common files
	mkdir -p $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/conf
	cp $(CURDIR)/watcher_dashboard/conf/* $(CURDIR)/debian/python3-watcher-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/conf

## watcher-dashboard 11.0.0+git2024080809.0451ec9c

=== debian/changelog ===
watcher-dashboard (11.0.0+git2024080809.0451ec9c-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 14 Aug 2024 09:55:33 +0100

## watcher-dashboard 12.0.0

=== debian/changelog ===
watcher-dashboard (12.0.0-3) unstable; urgency=medium

  * Really close bug (Closes: #1090706).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 08:40:20 +0100

watcher-dashboard (12.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closse: #1090706).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 14:02:36 +0100

watcher-dashboard (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 17:11:04 +0200

watcher-dashboard (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2024 00:32:44 +0200

watcher-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:31:27 +0200

watcher-dashboard (11.0.0-3) unstable; urgency=medium

  * Removed build-depends on python3-django-nose (Closes: #1070287).

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 08:59:36 +0200

watcher-dashboard (11.0.0-2) unstable; urgency=medium

  * Removed python3-nose-exclude from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Apr 2024 10:30:25 +0200

watcher-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 08:06:37 +0200

watcher-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed applied upstream patches:
    - django-4-ugettext_lazy-is-removed.patch
    - django-4-django.conf.urls.url-is-removed.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 18:31:55 +0100

## watcher-dashboard 12.0.0+git2025011511.8fb0a99

=== debian/changelog ===
watcher-dashboard (12.0.0+git2025011511.8fb0a99-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove outdated dependencies.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 21 Jan 2025 10:56:42 +0000

watcher-dashboard (12.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:40:27 +0100

watcher-dashboard (12.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/rules: Refresh using openstack-pkg-tools.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 12:42:17 +0100

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,10 @@
  python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
- python3-coverage (>= 4.0),
  python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
  python3-django-nose,
  python3-httplib2,
  python3-keystoneclient,
- python3-mock (>= 2.0.0),
  python3-nose-exclude,
  python3-openstackdocstheme (>= 2.2.1),
  python3-selenium (>= 2.50.1),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/watcher-dashboard/ watcher-dashboard-(\d.*)\.tar\.gz

## watcher-dashboard 12.0.0+git2025030311.c7dacb8

=== debian/changelog ===
watcher-dashboard (12.0.0+git2025030311.c7dacb8-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:28:04 +0000

## watcher-dashboard 13.0.0~rc1

=== debian/changelog ===
watcher-dashboard (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 22:07:25 +0100

watcher-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:40:46 +0100

## watcher-dashboard 13.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

horizon>=18.2.0 # Apache-2.0

PyYAML>=3.12 # MIT
python-watcherclient>=1.1.0 # Apache-2.0

=== debian/changelog ===
watcher-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:24:58 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/watcher-dashboard/tags .*/(\d[brc\d\.]+)\.tar\.gz

## watcher-dashboard 13.0.0+git2025070714.29be9da

=== debian/changelog ===
watcher-dashboard (13.0.0+git2025070714.29be9da-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 14:16:53 -0700

watcher-dashboard (13.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 07:58:02 -0700

## watcher-dashboard 14.0.0~rc1

=== debian/changelog ===
watcher-dashboard (14.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:18:22 +0000

watcher-dashboard (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:54:19 +0200

watcher-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 19:26:44 +0200
